Create Multiple orders by Symbol v1.0 (Old)

Create orders in batches up to 20 orders at a time. Currently only support for same symbol

- Weight 5

- Upper Limit: 20 orders/ batch

Request Parameters

📘

Note

api/v1/spot/order request parameters


PARAMETERTYPEReq'dDESCRIPTION
symbolSTRINGYName of instrument
e.g. "BTCUSD", "ETHUSD"
sideENUMYBUY or SELL
typeENUMYCurrently offer 3 order types:

-LIMIT - Limit order
- MARKET - Market order
- LIMIT_MAKER - Maker Limit order
quantityDECIMALYOrder amount in units of the instrument.
Commonly known as "orderQty"
priceDECIMALCRequired for LIMIT and LIMIT_MAKER order
newClientOrderIdSTRINGAn ID defined by the client for the order, it will be automatically generated if it is not sent in the request. (up to 255 characters)
timeInForceENUM-"GTC" for Limit order & Limit maker order
-"IOC" for Limit order & Market order
-"FOK" for Limit order
recvWindowLONGRecv Window. Default 5000
timestampLONGYTimestamp
stpModeENUMCSelf Trade Prevention Mode.

Enum: EXPIRE_TAKER, EXPIRE_MAKER

Default EXPIRE_TAKER if not specified.

Response Content


PARAMETERTYPEExample valuesDESCRIPTION
codeINTEGER0Error code
resultObject ArrayBatch order result
-codeINTEGER0Error code of an order
-msgSTRING"Create order failed"Error code
-orderObject ArrayOrder response data
order.accountIdLONG1467298646903017216Account Number
order.symbolSTRINGBTCUSDTrading pair
order.symbolNameSTRINGBTCUSDTrading pair name
order.clientOrderIdSTRING123433An ID defined by the client for the order, it will be automatically generated if it is not sent in the request
order.orderIdLONG1470929631548869632System generated order ID. A maximum of 20 characters.
order.transactTimeLONG1690084476357Millisecond timestamp
order.priceDECIMAL28000Price
order.origQtyDECIMAL0.01Quantity
order.executedQtyDECIMAL0Traded Volume
order.statusENUMFILLEDOrder status. See Enumeration definition for more details
order.timeInForceENUMGTCDuration of the order before expiring
order.typeENUMLIMITOrder type. See Enumeration definition for more details
order.sideENUMSELLBUY or SELL
order.reqAmountSTRING0Requested Cash amount
concentrationSTRINGConcentration reminder message
Query Params
int64

rec Window

int64
required
Defaults to 1707492562526
string
required
Defaults to f19400b8b39964fd596280bbf03b37d39ff858d97e522a82d4994ecddd961e71
Body Params
string
Defaults to [ { "symbol": "BTCUSD", "side": "SELL", "type": "LIMIT", "price": "52000", "quantity": "0.01", "newClientOrderId": "123456789" }, { "symbol": "BTCUSD", "side": "BUY", "type": "LIMIT", "price": "43000", "quantity": "0.01", "newClientOrderId": "123456790" } ]
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json